--[[
    Istelien L (implementation of Istelien quiz engine in LUA with the aim of using it in LOTRO)
	Copyright (C) 2023-2024 Alejandro Meirinhos from Spain.

	This file is part of Istelien L.

	Istelien L is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    Istelien L is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with Istelien L.  If not, see <https://www.gnu.org/licenses/>.
--]]

-- Add QuizMode setting (Quiz source) and change QuestionMode into GameFlowMode
if (config['GAME']['QuizMode'] == nil) then
	config['GAME']['QuizMode'] = 1
end
if (config['GAME']['GameFlowMode'] == nil) then
	config['GAME']['GameFlowMode'] = 1
end
if (config['GAME']['QuestionMode'] ~= nil) then
	config['GAME']['QuestionMode'] = nil
end
-- Add NoRepeat setting (option to prevent repeat questions in a game)
if (config['GAME']['NoRepeat'] == nil) then
	config['GAME']['NoRepeat'] = 0
end
